--- old/usr/src/uts/common/disp/cmt.c	2014-07-28 07:44:13.896525347 -0400
+++ new/usr/src/uts/common/disp/cmt.c	2014-07-28 07:44:13.902475878 -0400
@@ -1358,9 +1358,9 @@
 	pg_cmt_t	*cmt_pg = (pg_cmt_t *)pg;
 
 	if (old == cp->cpu_idle_thread) {
-		atomic_add_32(&cmt_pg->cmt_utilization, 1);
+		atomic_inc_32(&cmt_pg->cmt_utilization);
 	} else if (new == cp->cpu_idle_thread) {
-		atomic_add_32(&cmt_pg->cmt_utilization, -1);
+		atomic_dec_32(&cmt_pg->cmt_utilization);
 	}
 }
 
@@ -1383,7 +1383,7 @@
 
 	if (old == cp->cpu_idle_thread) {
 		ASSERT(new != cp->cpu_idle_thread);
-		u = atomic_add_32_nv(&cmt->cmt_utilization, 1);
+		u = atomic_inc_32_nv(&cmt->cmt_utilization);
 		if (u == 1) {
 			/*
 			 * Notify the CPU power manager that the domain
@@ -1395,7 +1395,7 @@
 		}
 	} else if (new == cp->cpu_idle_thread) {
 		ASSERT(old != cp->cpu_idle_thread);
-		u = atomic_add_32_nv(&cmt->cmt_utilization, -1);
+		u = atomic_dec_32_nv(&cmt->cmt_utilization);
 		if (u == 0) {
 			/*
 			 * The domain is idle, notify the CPU power
